Package tigase.auth.credentials.entries

## Class MD5UserIdPasswordCredentialsEntry.Encoder

- java.lang.Object
- - tigase.auth.credentials.entries.MD5UserIdPasswordCredentialsEntry.Encoder

- All Implemented Interfaces:
    `Credentials.Encoder`
  Enclosing class:
    MD5UserIdPasswordCredentialsEntry

      @Bean(name="MD5-USERID-PASSWORD",
            parent=CredentialsEncoderBean.class,
            active=false)
      public static class MD5UserIdPasswordCredentialsEntry.Encoder
      extends java.lang.Object
      implements Credentials.Encoder

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Encoder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `encode​(BareJID user, java.lang.String password)` | Encrypt plaintext password for user
    `java.lang.String` | `getName()` | Name of mechanism for which encoder works

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Encoder

          public Encoder()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `Credentials.Encoder`
      Name of mechanism for which encoder works
      Specified by:
        `getName` in interface `Credentials.Encoder`
      Returns:
        name of mechanism for which encoder works

    - #### encode

          public java.lang.String encode​(BareJID user,
                                         java.lang.String password)

      Description copied from interface: `Credentials.Encoder`
      Encrypt plaintext password for user
      Specified by:
        `encode` in interface `Credentials.Encoder`
      Parameters:
        `user` - for which encrypt
        `password` - to encode
      Returns:
        encrypted plaintext password for user